%undefine __libtoolize
%define objprelink 0
%define scriptplugin 0
%define docum 1
Name: scribus
Version: 1.1.7
Release: alt2

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Group: Publishing
Summary: Linux Publisher
URL : http://web2.altmuehlnet.de/fschmid/
License: GPL

Source0: %name-%version.tar.bz2
Source1: %name-scripting-0.5.2.tar.bz2
Source2: %name-i18n-en.tar.bz2

Requires: ghostscript >= 5.50
%add_python_req_skip python2.3(scribus)
Provides: python%__python_version python2.3(scribus)

# Automatically added by buildreq on Wed Jun 23 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2-devel gcc-c++ glibc-devel-static hostinfo
BuildRequires: libart_lgpl-devel libcups-devel libjpeg-devel liblcms-devel libpng-devel libqt3-devel libssl-devel
BuildRequires: libstdc++-devel-static libtiff-devel python-dev python-modules tcl-devel zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
Scribus is a Layout program for Linux, similar to Adobe PageMaker, QuarkXPress
or Adobe InDesign, except that it is
published under the GNU GPL.

%prep
%setup -q -a1 -a2
%__subst 's,\.la\>,.so,' admin/acinclude.m4.in
make -f admin/Makefile.common cvs

%build
#%__subst 's,\.la,.so,' configure
#%__subst 's,\.la\>,.so,' configure
%define my_configure %configure --with-extra-includes=/usr/include/lcms --enable-shared --disable-rpath
%if %objprelink
%define my_build %make_build CXX=g++prelink
%else
%define my_build %make_build
%endif

%my_configure
%my_build

%if %scriptplugin
cd ./%name-script*
%__subst 's,\.la\>,.so,' admin/acinclude.m4.in
make -f admin/Makefile.common cvs
%my_configure
%my_build
cd ..
%endif

%if %docum
cd ./%name-i18n*
%__subst 's,\.la\>,.so,' admin/acinclude.m4.in
make -f admin/Makefile.common cvs
%my_configure
%my_build
cd ..
%endif

%install
%makeinstall

%if %scriptplugin
cd ./%name-script*
%make DESTDIR=%buildroot install
cd ..
%endif

%if %docum
cd ./%name-i18n*
%make DESTDIR=%buildroot install
cd ..
%endif

mkdir -p %buildroot%_iconsdir
mkdir -p %buildroot%_menudir
cp %buildroot%_datadir/%name/icons/AppIcon.png %buildroot%_iconsdir/scribus.png
rm -f %buildroot%_libdir/%name/libs/*.la
rm -f %buildroot%_libdir/%name/plugins/*.la

#create menu
(cd $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title="Scribus Linux Publisher" \
longtitle="Scribus Linux Publisher under the GNU GPL" \
needs="x11" \
icon="%name.png" \
section="Applications/Publishing"
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_includedir/%name
%_iconsdir/*.png
%_menudir/%name
#
%dir %_libdir/%name
%_libdir/%name/dicts
%_libdir/%name/libs
%_libdir/%name/doc
%_libdir/%name/plugins
%_libdir/%name/profiles
%_libdir/%name/*.qm
%_libdir/%name/*.txt
%_libdir/%name/*.prolog
#
%dir %_datadir/%name
%_datadir/%name/samples
%_datadir/%name/scripts
%_datadir/%name/icons
#
%doc %_datadir/%name/doc
%doc README INSTALL COPYING AUTHORS ChangeLog TODO

%changelog
* Wed Jun 23 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.7-alt2
- fix buildrequires and requires

* Wed Jun 09 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.7-alt1
- 1.1.7
- new russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Thu Jun 03 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.6-alt3
- fix buildrequires

* Tue Apr 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.6-alt2
- new russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Mon Mar 29 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Wed Feb 18 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Mon Dec 29 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.4-alt2
- rebuildind in new compiler

* Mon Dec 29 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.3-alt2
- rebuildind without *.la

* Mon Dec 08 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Thu Nov 13 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.2-alt1
- 1.1.2 and new buildrequires

* Thu Oct 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.1-alt1
- 1.1.1 and new script plugin 0.5.2

* Sun Sep 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.0-alt1
- 1.1.0 and new script plugin 0.5.1

* Wed Aug 27 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0.1-alt2
- new russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Sun Aug 10 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0.1-alt1
- 1.0.1
- russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Wed Jul 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1
- 1.0 final
- added samples and new html and pdf help documents
- added new script plugin

* Wed Jul 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1.RC1
- 1.0.RC1

* Sun Jun 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.11.1-alt1
- 0.9.11.1

* Mon Jun 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.11-alt1
- 0.9.11

* Wed May 21 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.10-alt1
- 0.9.10

* Thu May 01 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Mon Apr 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Wed Feb 19 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Sun Jan 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.6-alt2
- new requires and buildrequires
- remove plugins

* Wed Jan 15 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Sun Dec 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Wed Nov 27 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Thu Nov 14 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.1-alt1
- 0.9.1
- Script Plugin added

* Sun Oct 13 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.8-alt1
- 0.8

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.8-alt1
- new version
- build with gcc3.2

* Tue Aug 27 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.7-alt1 for AltLinux
- 0.7.7

* Tue Jul 02 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.5-alt1 for AltLinux
- 0.7.5

* Fri Jan 04 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5-alt1 for AltLinux
- 0.5
- specfile cleanup



